Subject: Re: bug#59068: 29.0.50; noverlay causing indirect append issues

From: Gerd Möllmann <[email-masked]>
Date: Mon, 07 Nov 2022 07:59:57 +0100

Michael Kleehammer <[email-masked]> writes:

> Michael Kleehammer <[email-masked]> writes:
>
> I've extracted enough from edit-indirect to reproduce the problem and attached
> it.  Eval the file and follow the instructions at the bottom.
>
> With the noverlay builds of Emacs, each commit is inserted above the original
> text.  With previous builds it is not.
>
> Let me know if I can help or if the example is not clear enough.  I'm still
> working on my elisp skills, so making it a unit-test style function would take
> me quite a while.

Thanks, Michael.

I'm afraid, I can't yet reproduce this.  This is with an Emacs from
23dd27a97953bab3ffab86dcc83b4e3b139657aa.  Here is what I did:

emacs -Q
C-x C-f test.el RET
M-x eval-buffer RET
M-: (test-create-indirect)
C-x b *test* RET
;; Add "- 1" to line 2
M-: (test-commit-indirect) RET
C-x b test.el RET

The lines at the top of the file are as expected

;; one
;; two - 1
;; three

(setq test-beg 1
...

Did I miss something?